STUFF(1)

NAME
stuff - create archives and encode files

SYNOPSIS
stuff [ POSIX or GNU style options ] [ file/directory ... ]

where file/directory ... is one or more parameters listing files or directories to compress or encode.

DESCRIPTION
stuff is an application that creates archives and encoded files in multiple compressed and encoded formats. It is a command-line utility that uses the StuffIt Engine shared library.

stuff takes a list of files and directories on its command line and compresses them into an archive or encodes them.

stuff can currently compress files into StuffIt, zip, UNIX compress, PrivateFile archive formats and encode files into uuencode, BinHex and MacBinary formats.

OPTIONS
Command-line options are distinguished from arguments (file and directory names) by one or two dashes. Short (one-character) options are preceded by one dash, long (multi-character) options are preceded by two dashes. Some options have only short or a long form; some have both. Options are listed in alphabetical order.

-e=[option] --eol=[option]
    Selects one of the following text type options, represented by [option]: native, win, windows, crlf, unix, lf, mac, macintosh, cr. Default: native.

-f=[format] --format=[format]
    Determines which archive format is created: format is the format of the new archive: one of StuffIt, StuffIt5, Zip, UnixCompress, Uuencode, BinHex, MacBinary, StuffItSegment, PrivateFile. Determines what archive format is created: format is the format of the new archive: one of sit, sit5, cpt, zip, arc, arj, lha, ha, rar, gz, compress, sco, pack, compact, freeze, uu, hqx, btoa, mime, tar, bin, sitseg, or pf. Not all listed formats are supported; to determine which ones are, use --formats. Default: sit5.

--formats
    Shows archive formats supported by stuff and the StuffIt Engine.

-l=[level] --level=[level]
    Assigns the archive compression level. Valid compression levels are 0, 13, and 15 for sit5 archives, and 0 through 9 for zip archives. Default: [automatic].

-n=[file] --name=[file]
    Sets the name of the archive to be created. Default: [automatic].

-p=[password] --password=[password]
    Sets the password to be used in the operation. Default: none.

-q --quiet
    Suppresses all messages normally printed during operation. Default: [no].

-v --version
    Shows stuff and StuffIt Engine version information. Default: [no].

EXAMPLES

stuff file
    Creates a StuffIt5 archive from a file named file.

stuff -f=Zip file
    Creates a Zip archive from a file named file.

stuff --format=Zip --comp-level=9 file
    Creates a Zip archive from a file named file, using the maximum compression level (which is also the slowest to compress).

stuff --name=newarchive.sit dir
    Creates a StuffIt5 archive named newarchive.sit from a directory named dir and everything it contains (files and subdirectories, recursively).

stuff --password=abcdef file1 file2
    Creates an encrypted StuffIt5 archive from two files: file1 and file2.

stuff --format=BinHex --eol=mac file1 file2
    Creates a BinHex encoded file containing two files: file1 and file2, concatenated. The BinHex file is a Macintosh text file (with CR-only end-of-lines).

SEE ALSO
compress(1), gzip(1), zip(1)

DIAGNOSTICS
Exit status is normally 0; if an error occurs, exit status is 1 or 2.